Add Portfolio Address
POST
/api/v1/portfolios/{portfolio_id}/addresses
const url = 'https://api.qeychain.xyz/api/v1/portfolios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/addresses';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"address":"example","label":"example","chain":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/portfolios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/addresses \ --header 'Content-Type: application/json' \ --data '{ "address": "example", "label": "example", "chain": "example" }'Add an address to a portfolio.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”portfolio_id
required
Portfolio Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Add Portfolio Address Api V1 Portfolios Portfolio Id Addresses Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}